Visual Lisp Methods Reference

Back to the Tutorials

 
A B C D E F G H I J K L M
N O P Q R S T U V W X Y Z

A big thank you to the following people for help in compiling this reference :

Stig Madsen; Randall Rath; David Stein, Jonathan Trostat, Namibian Breweries.


As you can see, this reference is still far from complete but I'm busy working on it as time permits. If you feel that you have an example of a method that you would like to contribute, please feel free to mail it to me. Don't worry if it's a method that has an example already, if yours is different, I will post it as well. Hey, you'll even get your name at the top of the page.


A

Activate - Makes the specified drawing active.

Add - Creates a member object and adds it to the appropriate collection.

Add3DFace - Creates a 3DFace object given four vertices.

Add3DMesh - Creates a free-form 3D mesh, given the number of points in the M and N directions and the coordinates of the points in the M and N directions.

Add3DPoly - Creates a 3D polyline from the given array of coordinates.

AddArc - Creates an arc given the center, radius, start angle, and end angle of the arc.

AddAttribute - Creates an attribute definition at the given location with the specified properties.

AddBox - Creates a 3D solid box with edges parallel to the axes of the WCS.

AddCircle - Creates a circle given a center point and radius.

AddCone - Creates a 3D solid cone with the base on the XY plane of the WCS.

AddCustomObject - Creates a Custom object.

AddCylinder - Creates a 3D solid cylinder whose base is on the XY plane of the WCS.

AddDim3PointAngular - Creates an angular dimension using 3 points.

AddDimAligned - Creates an aligned dimension object.

AddDimAngular - Creates an angular dimension for an arc, two lines, or a circle.

AddDimDiametric - Creates a diametric dimension for a circle or arc given the two points on the diameter and the length of the leader line.

AddDimOrdinate - Creates an ordinate dimension given the definition point, and leader endpoint.

AddDimRadial - Creates a radial dimension for the selected object at the given location.

AddDimRotated - Creates a rotated linear dimension.

AddEllipse - Creates an ellipse in the XY plane of the WCS given the center point, a point on the major axis, and the radius ratio.

AddEllipticalCone - Creates a 3D solid elliptical cone on the XY plane of the WCS given the Center, MajorRadius, MinorRadius, and Height.

AddEllipticalCylinder - Creates a 3D solid elliptical cylinder whose base is on the XY plane of the WCS, given the Center, MajorRadius, MinorRadius, and Height.

AddExtrudedSolid - Creates an extruded solid given the Profile, Height, and TaperAngle.

AddExtrudedSolidAlongPath - Creates an extruded solid given the profile and an extrusion path.

AddFitPoint - Adds the fit point to the spline at a given index.

AddHatch - Creates a Hatch object.

AddItems - Adds one or more objects to the specified selection set.

AddLeader - Creates a leader line, given the coordinates of the points.

AddLightweightPolyline - Creates a lightweight polyline from a list of vertices.

AddLine - Creates a line passing through two points.

AddMenuItem - Adds a popup menu item to a popup menu.

AddMInsertBlock - Inserts an array of blocks.

AddMLine - Creates multiple lines passing through an array of points.

AddMtext - Creates an MText entity in a rectangle defined by the insertion point and width of the bounding box.

AddObject - Adds an object to a named dictionary.

AddPoint - Creates a Point object at a given location.

AddPolyfaceMesh - Creates a polyface mesh from a list of vertices.

AddPolyline - Creates a polyline from a list of vertices.

AddPViewport - Adds a paper space viewport, given the center, height, and width.

AddRaster - Creates a new raster image based on an existing image file.

AddRay - Creates a ray passing through two unique points.

AddRegion - Creates a region from a set of entities. The given entities must form a closed coplanar region.

AddRevolvedSolid - Creates a revolved solid, given the region around an axis.

AddSeparator - Adds a separator to an existing menu or toolbar.

AddShape - Creates a Shape object based on a template identified by name, at the given insertion point, scale factor, and rotation.

AddSolid - Creates a 2D solid polygon.

AddSphere - Creates a sphere given the center and radius.

AddSpline - Creates a quadratic or cubic NURBS (nonuniform rational B-spline) curve.

AddSubMenu - Adds a submenu to an existing menu.

AddText - Creates a single line of text.

AddTolerance - Creates a tolerance entity.

AddToolbarButton - Adds a toolbar item to a toolbar at a specified position.

AddTorus - Creates a torus at the given location.

AddTrace - Creates a Trace object from an array of points.

AddVertex - Adds a vertex to a lightweight polyline.

AddWedge - Creates a wedge with edges parallel to the axes given the length, width, and height.

AddXLine - Creates an xline (an infinite line) passing through two specified points.

AddXRecord - Creates an XRecord object in any dictionary.

AngleFromXAxis - Gets the angle of a line from the X axis.

AngleToReal - Converts an angle as a string to a real (double) value.

AngleToString - Converts an angle from a real (double) value to a string.

AppendInnerLoop - Appends an inner loop to the hatch.

AppendItems - Appends one or more entities to the specified group.

AppendOuterLoop - Appends an outer loop to the hatch.

AppendVertex - Appends a vertex to the end of a 3DPolyline , Polyline or PolygonMesh object.

ArrayPolar - Creates a polar array of objects given a NumberOfObjects, AngleToFill, and CenterPoint.

ArrayRectangular - Creates a 2D or 3D rectangular array of objects.

AttachExternalReference - Attaches an external reference (xref) to the drawing.

AttachToolbarToFlyout - Attaches a toolbar to a toolbar button defined as a flyout.

AuditInfo - Evaluates the integrity of the drawing.

B

Bind - Binds an external reference (xref) to a drawing.

Boolean - Performs a boolean operation (union, intersect, or subtract) between the object and another 3DSolid or Region object.

C

CheckInterference - Checks for interference between two solids and, if specified, creates a solid from the interference.

Clear - Clears the specified selection set of all items.

ClipBoundary - Specifies the clipping boundary for a raster image.

Close - Closes the specified drawing, or all open drawings.

Copy  - Duplicates the given object to the same location.

CopyFrom - Copies the settings from the given plot configuration.

CopyObjects - Duplicates multiple objects (deep cloning).

CopyProfile - Copies the specified profile.

CreateTypedArray - Creates a variant that contains an array of typed arguments.

D

Delete - Deletes a specified object or a set of saved layer settings.

DeleteConfiguration - Deletes a viewport configuration.

DeleteFitPoint - Deletes the fit point of a spline at a given index.

DeleteProfile - Deletes the specified profile.

Detach - Detachs an external reference (xref) from a drawing.

Display - Toggles the display control of the PViewport object on or off.

DisplayPlotPreview - Displays the Plot Preview dialog box with the specified partial or full view preview.

DistanceToReal - Converts a distance from a string to a real (double) value.

Dock - Docks the toolbar to the owning frame window.

E

ElevateOrder - Elevates the order of the spline to the given order.

EndUndoMark - Marks the end of a block of operations.

Erase - Erases all the objects in a selection set.

Eval - Evaluates an Expression in VBA.

Evaluate - Evaluates the given hatch or leader.

Explode - Explodes the compound object into subentities.

Export - Exports a drawing or a group of saved layer settings to a file.

ExportProfile - Exports the active profile so it can be shared with other users.

F

Float - Floats the toolbar.

G

GetAcadState - Gets an AcadState object to monitor the state of AutoCAD from out-of-process applications.

GetAllProfileNames - Gets all available profiles for the system.

GetAngle - Gets the angle specified. Considers the setting of the ANGBASE system variable.

GetAttributes - Gets the attributes in the block reference.

GetBitmaps - Gets the large and small bitmaps used as icons for the toolbar item.

GetBoundingBox - Gets two points of a box enclosing the specified object.

GetBulge - Gets the bulge value at a given index of the polyline.

GetCanonicalMediaNames - Gets all available canonical media names for the specified plot device.

GetConstantAttributes - Gets the constant attributes in the block or external reference.

GetControlPoint - Gets the coordinates of the control point at a given index.

GetCorner - Gets a corner of a rectangle.

GetCustomScale - Gets the custom scale for a layout or plot configuration.

GetDistance  - Gets the distance from the prompt line or a selected set of points on the screen.

GetEntity - Gets an object interactively.

GetExtensionDictionary - Gets the extension dictionary associated with an object.

GetFitPoint - Gets the fit point of a spline at a given index.

GetFont - Gets the definition data of the font for the TextStyle.

GetGridSpacing - Gets the grid spacing for the viewport.

GetInput - Converts an input string from the user into a keyword index.

GetInteger - Gets an integer value from the user.

GetInterfaceObject - Accepts a program ID and attempts to load it into AutoCAD as an in-process server.

GetInvisibleEdge - Gets the visibility setting for an edge of a 3DFace object at a given index.

GetKeyword - Gets a keyword string from the user.

GetLocaleMediaName - Gets the localized version of the canonical media name.

GetLoopAt - Gets the hatch loop at a given index.

GetName - Gets the name (keyword) of an object in a dictionary.

GetObject - Gets the object in a dictionary, given the name (keyword) of the object.

GetOrientation - Gets the angle specified. Ignores the setting of the ANGBASE system variable.

GetPaperMargins - Gets the margins for the layout or plot configuration.

GetPaperSize - Gets the width and height of the configured paper.

GetPlotDeviceNames - Gets all available plot device names.

GetPlotStyleTableNames - Gets all available plot style table names.

GetPoint - Gets the point selected in AutoCAD.

GetProjectFilePath - Gets the directory in which AutoCAD looks for external reference files.

GetReal - Gets a real (double) value from the user.

GetRemoteFile - Downloads the file specified by a URL.

GetSnapSpacing - Gets the snap spacing for the viewport.

GetString - Gets a string from the user.

GetSubEntity - Gets an object or subentity interactively.

GetUCSMatrix - Gets the transformation matrix consisting of UCS coordinate system data.

GetVariable - Gets the current setting of an AutoCAD system variable.

GetWeight - Gets the weight of the control point at a given index.

GetWidth - Gets the start and end width for a polyline.

GetWindowToPlot - Gets the coordinates that define the portion of the layout to plot.

GetXData - Gets the extended data (XData) associated with an object.

GetXRecordData - Gets the extended record data (XRecordData) associated with a dictionary.

H

HandleToObject - Gets the object that corresponds to the given handle.

Highlight - Sets the highlight status for the given object, or for all objects in a given selection set.

I

Import - Imports a drawing or a group of saved layer settings from a file.

ImportProfile - Imports a profile created by another user.

InitializeUserInput - Initializes the GetKeyword method.

InsertBlock - Inserts a drawing file or a named block that has been defined in the current drawing.

InsertInMenuBar - Inserts the popup menu into the AutoCAD menu bar at a specified location.

InsertLoopAt - Inserts a loop at a given index of a hatch.

InsertMenuInMenuBar - Inserts a menu into the AutoCAD menu bar.

IntersectWith - Gets the points where one object intersects another object in the drawing.

IsRemoteFile - Returns the URL that a remote file was downloaded from.

IsURL - Validates a given URL.

Item - Gets the member object at a given index in a collection, group, or selection set.

J

K

L

LaunchBrowserDialog - Launches the Web Browser dialog that allows the user to navigate to any URL and select a URL.

ListARX - Gets the currently loaded AutoCAD ARX applications.

Load - Loads a menu group from a menu file or the definition of a linetype from a library (LIN) file.

LoadARX - Loads the specified AutoCAD ARX application.

LoadDVB - Loads the specified AutoCAD VBA project file.

LoadShapeFile - Loads a shape file (SHX).

M

Mirror - Creates a mirror image copy of a planar object around an axis.

Mirror3D - Creates a mirror image of the given object about a plane.

Move - Moves an object along a vector.

N

New - Creates a new document in SDI mode.

O

ObjectIDToObject - Gets the object that corresponds to the given object ID.

Offset - Creates a new object at a specified offset distance from an existing object.

Open - Opens an existing drawing file (DWG) and makes it the active document.

P

PlotToDevice - Plots a layout to a device.

PlotToFile - Plots a layout to the specified file.

PolarPoint - Gets the point at a specified angle and distance from a given point.

Prompt - Posts a prompt to the command line.

PurgeAll - Removes unused named references such as unused blocks or layers from the document.

PurgetFitData - Purges the fit data of a spline.

PutRemoteFile - Uploads a file to a remote location specified a URL.

Q

Quit - Closes the drawing file and exits the AutoCAD application.

R

RealToString - Converts a real (double) value to a string.

RefreshPlotDeviceInfo - Updates the plot, canonical media, and plot style table information to reflect the current system state.

Regen - Regenerates the entire drawing and recomputes the screen coordinates and view resolution for all objects.

Reload - Reloads the external reference (xref).

Remove - Removes a named object from the dictionary.

RemoveItems - Removes specified items from the group or selection set.

RemoveFromMenuBar - Removes the popup menu from the AutoCAD menu bar.

RemoveMenuFromMenuBar - Removes the popup menu, as specified from the collection, from the AutoCAD menu bar.

Rename - Renames an item in a dictionary or a set of saved layer settings.

RenameProfile - Renames the specified profile.

Replace - Replaces an item in the dictionary by a given item.

ResetProfile - Resets the value in the specified profile to its default values.

Restore - Restores a group of layer property settings.

Reverse - Reverses the direction of a spline.

Rotate - Rotates an object around a base point.

Rotate3D - Rotates an object around a 3D axis. Point1 and Point2 define the line that becomes the axis of rotation.

RunMacro - Runs a VBA macro from the Application object.

S

Save - Saves a document, menu group, or group of layer property settings.

SaveAs - Saves the document or menu group to a specified file.

ScaleEntity - Scales an object equally in the X, Y, and Z directions.

SectionSolid - Creates a region that represents the intersection of a plane defined by three points and the solid.

Select - Selects objects and places them into a selection set.

SelectAtPoint - Selects an object passing through a given point and places it into a selection set.

SelectByPolygon - Selects entities within a fence and adds them to the selection set.

SelectOnScreen - Prompts the user to pick an object from the screen.

SendCommand - Sends a command string to the document for syncronous processing.

SetBitmaps - Sets the large and small bitmaps used as icons for the toolbar item.

SetBulge - Sets the bulge for the polyline at the given index.

SetControlPoint - Sets the control point of the spline at a given index.

SetCustomScale - Sets the custom scale for a layout or plot configuration.

SetDatabase - Associates an AutoCAD database with the LayerStateManager object.

SetFitPoint - Sets a fit point for the spline.

SetFont - Sets the definition data of the font for the TextStyle.

SetGridSpacing - Sets the grid spacing for the viewport.

SetInvisibleEdge - Sets the visibility state of an edge at a given index.

SetLayoutsToPlot - Specifies the layout or layouts to plot.

SetPattern - Sets the pattern name and pattern type for the hatch.

SetProjectFilePath - Sets the directory in which AutoCAD looks for external reference files.

SetSnapSpacing - Sets the snap spacing for the viewport.

SetVariable - Sets the value of an AutoCAD system variable.

SetView - Sets the view in a viewport to a saved view in the Views Collection object.

SetWeight - Sets the weight of the control point at a given index.

SetWidth - Sets the start and end width of a polyline, given the segment index.

SetWindowToPlot - Sets the coordinates that define the portion of the layout to plot.

SetXData - Sets the extended data (XData) associated with an object.

SetXRecordData - Sets the extended record data (XRecordData) associated with a dictionary.

SliceSolid - Creates a slice of the 3DSolid object given three points that define the plane.

Split - Splits a viewport into the given number of views.

StartBatchMode - Invokes batchmode printing.

StartUndoMark - Marks the beginning of a block of operations.

T

TransformBy - Moves, scales, or rotates an object given a 4x4 transformation matrix.

TranslateCoordinates - Translates a point from one coordinate system to another coordinate system.

U

Unload - Unloads the menu group or external reference.

UnloadARX - Unloads the specified AutoCAD ARX application.

UnloadDVB - Unloads the specified AutoCAD VBA project file.

Update - Updates the object to the drawing screen.

V

W

WBlock - Writes out the given selection set as a new drawing file.

X

Xmlin - Translates the specified DesignXML file's AcDbXML model channel to objects and inserts them into the given database.

Xmlout - Translates the entire database or a set of specified objects (and all dependent objects) to a new DesignXML file using the AcDbXml model channel.

Y

Z

ZoomAll - Zooms the current viewport to display the entire drawing.

ZoomCenter - Zooms the current viewport to a specified center point and magnification.

ZoomExtents - Zooms the current viewport to the drawing extents.

ZoomPickWindow - Zooms the current viewport to a window defined by points picked on the screen.

ZoomPrevious - Zooms the current viewport to its previous extents.

ZoomScaled - Zooms the current viewport to given scale factor.

ZoomWindow - Zooms the current viewport to the area specified by two opposite corners of a rectangle.

 
The AutoLisp/Visual Lisp/VBA Resource Website

Copyright © 1999-Perpetuity by AfraLisp

All rights reserved.
Information in this document is subject to change without notice.
Site created and maintained by Kenny Ramage

The AutoLisp/Visual Lisp/VBA Resource Website